Subject: Re: 23.0.92; `accept-process-output' and `sleep-for' do not run sentinels

From: Chong Yidong <[email-masked]>
Date: Mon, 17 Aug 2009 17:04:10 -0400

Stefan Monnier <[email-masked]> writes:

> I don't know.  You already changed it in that direction a year ago:
>
>    timestamp: Mon 2008-05-19 22:29:33 +0000
>    message:
>      (wait_reading_process_output): Always check status when in batch mode.
>
> so maybe we should change it even further?  I think a good change would
> be to change the code of wait_reading_process_output such that status
> changes are taken into account (even when do_display is 0) but only for
> the process(es) for which we're waiting.

OK, thanks for reminding me about Bug#131.  After re-reading that
discussion, I'm fairly sure that TRT is for wait_reading_process_output
to always check the process status (without triggering a redisplay
unless DO_DISPLAY is non-zero).  I've checked the change into CVS.